STRUCT DRM_ATOMIC_ST(9)

NAME
struct_drm_atomic_state - the global state object for atomic updates

SYNOPSIS

struct drm_atomic_state {
  struct drm_device * dev;
  uint32_t flags;
  struct drm_plane ** planes;
  struct drm_plane_state ** plane_states;
  struct drm_crtc ** crtcs;
  struct drm_crtc_state ** crtc_states;
  int num_connector;
  struct drm_connector ** connectors;
  struct drm_connector_state ** connector_states;
  struct drm_modeset_acquire_ctx * acquire_ctx;
};

MEMBERS

dev
    parent DRM device

flags
    state flags like async update

planes
    pointer to array of plane pointers

plane_states
    pointer to array of plane states pointers

crtcs
    pointer to array of CRTC pointers

crtc_states
    pointer to array of CRTC states pointers

num_connector
    size of the connectors and connector_states arrays

connectors
    pointer to array of connector pointers

connector_states
    pointer to array of connector states pointers

acquire_ctx
    acquire context for this atomic modeset state update

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT